<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelDataAdvancedOptions StructType
 * @subpackage Structs
 */
class JP_HotelDataAdvancedOptions extends AbstractStructBase
{
    /**
     * The ShowGiataCode
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $ShowGiataCode;
    /**
     * Constructor method for JP_HotelDataAdvancedOptions
     * @uses JP_HotelDataAdvancedOptions::setShowGiataCode()
     * @param bool $showGiataCode
     */
    public function __construct($showGiataCode = null)
    {
        $this
            ->setShowGiataCode($showGiataCode);
    }
    /**
     * Get ShowGiataCode value
     * @return bool|null
     */
    public function getShowGiataCode()
    {
        return $this->ShowGiataCode;
    }
    /**
     * Set ShowGiataCode value
     * @param bool $showGiataCode
     * @return \StructType\JP_HotelDataAdvancedOptions
     */
    public function setShowGiataCode($showGiataCode = null)
    {
        // validation for constraint: boolean
        if (!is_null($showGiataCode) && !is_bool($showGiataCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($showGiataCode, true), gettype($showGiataCode)), __LINE__);
        }
        $this->ShowGiataCode = $showGiataCode;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_HotelDataAdvancedOptions
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
